Get TestDefinition by ID
Get a single TestDefinition by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
test_definition_id
ID of the TestDefinition.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
createdAt
Timestamp of when the test definition was created.
creator
The user that created the test definition.
description
The description of the test definition. Empty strings are allowed.
id
The ID of the test definition.
modifiedAt
Timestamp of when the test definition was last modified.
name
The name of the test definition.
organization
The organization that owns the test definition, used for auth.
resultSchema
The result schema of the test definition, defines the measurement data shape.
Errors
400
Test Definition Get Request Bad Request Error
403
Test Definition Get Request Forbidden Error
404
Test Definition Get Request Not Found Error
429
Test Definition Get Request Too Many Requests Error
500
Test Definition Get Request Internal Server Error